<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Frame</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Frame<br/>
<small>
[<a class="el" href="group__m17nGUI.html">GUI API</a>]</small>
</h1>
<p>A <em>frame</em> is an object corresponding to the graphic device.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of frames.  <a href="#gabb36d3a69526a891ce7534bda63a2687"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674">mframe</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new frame.  <a href="#ga8fa9ad4e45dff9703c471d4b243eb674"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga97caf002f294cc386b88a2155ac21e66">mframe_get_prop</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return property value of frame.  <a href="#ga97caf002f294cc386b88a2155ac21e66"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3">mframe_default</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The default frame.  <a href="#ga4a417bb182e3e1a42095185e52c012f3"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables: Keys of frame parameter</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrpfa6119de678dddb2760149aad5515299"></a> These are the symbols to use in a parameter to create a frame. See the function <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="Create a new frame.">mframe()</a> for details.</p>
<p><b>Mdevice</b>, <b>Mdisplay</b>, <b>Mscreen</b>, <b>Mdrawable</b>, <b>Mdepth</b>, and <b>Mcolormap</b> are also keys of a frame property. </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gacdb0835708df168948db8b3bdfbe910e">Mdevice</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga60e864afe6243a16342ea7bfa2c8a5d6">Mdisplay</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga28e8c59b7f5ada96e55ccdd4b117572c">Mscreen</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gac54b9f0433a28bd10e8de898289069c2">Mdrawable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga0a1c7aa87d02cd187ec0735588db225d">Mdepth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga3de479e1bf9915fb86833298d8e05316">Mcolormap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gadfd980d879793a59c497bfd08b9d946e">Mwidget</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga73342e810f6dd55417345fc1805f3d23">Mgd</a></td></tr>
<tr><td colspan="2"><h2>Variables: Keys of frame property</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrpa335fd6cd45d0d23a9ab1abf9e8ac418"></a> These are the symbols to use as an argument to the function <a class="el" href="group__m17nFrame.html#ga97caf002f294cc386b88a2155ac21e66" title="Return property value of frame.">mframe_get_prop()</a>. </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga5d99e7994a0d1b4e24e4febe80403f99">Mfont</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gaaccde9d071c4889c5a73b36fce45e285">Mfont_width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gac51e83ad0a410d95fb34f2dae9a0f702">Mfont_ascent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gafc7b7df9268d89c57cdd075a3aeb2cd3">Mfont_descent</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>A <em>frame</em> is an object corresponding to the graphic device. </p>
<p>A <em>frame</em> is an object of the type <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687" title="Type of frames.">MFrame</a> to hold various information about each display/input device. Almost all m17n GUI functions require a pointer to a frame as an argument. </p>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="gabb36d3a69526a891ce7534bda63a2687"></a><!-- doxytag: member="m17n&#45;gui.h::MFrame" ref="gabb36d3a69526a891ce7534bda63a2687" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of frames. </p>
<p>The type <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687" title="Type of frames.">MFrame</a> is for a <em>frame</em> object. Each frame holds various information about the corresponding physical display/input device.</p>
<p>The internal structure of the type <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687" title="Type of frames.">MFrame</a> is concealed from an application program, and its contents depend on the window system in use. In the m17n-X library, it contains the information about <em>display</em> and <em>screen</em> in the X Window System. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga8fa9ad4e45dff9703c471d4b243eb674"></a><!-- doxytag: member="m17n&#45;gui.c::mframe" ref="ga8fa9ad4e45dff9703c471d4b243eb674" args="(MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a>* mframe </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new frame. </p>
<p>The <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="Create a new frame.">mframe()</a> function creates a new frame with parameters listed in <b>plist</b> which may be <code>NULL</code>.</p>
<p>The recognized keys in <b>plist</b> are window system dependent.</p>
<p>The following key is always recognized.</p>
<ul>
<li>
<p class="startli"><b>Mdevice</b>, the value must be one of <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="Symbol of name &quot;x&quot;.">Mx</a>, <b>Mgd</b>, and <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a>.</p>
<p>If the value is <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="Symbol of name &quot;x&quot;.">Mx</a>, the frame is for X Window System. The argument <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb" title="Window system dependent type for a window.">MDrawWindow</a> specified together with the frame must be of type <code>Window</code>. The frame is both readable and writable, thus all GUI functions can be used.</p>
<p>If the value is <b>Mgd</b>, the frame is for an image object of GD library. The argument <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb" title="Window system dependent type for a window.">MDrawWindow</a> specified together with the frame must be of type <code>gdImagePtr</code>. The frame is writable only, thus functions minput_XXX can't be used for the frame.</p>
<p>If the value is <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a>, the frame is for a null device. The frame is not writable nor readable, thus functions mdraw_XXX that require the argument <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb" title="Window system dependent type for a window.">MDrawWindow</a> and functions minput_XXX can't be used for the frame.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789" title="Key of a text property specifying a face.">Mface</a>, the value must be a pointer to <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5" title="Type of faces.">MFace</a>.</p>
<p>The value is used as the default face of the frame.</p>
<p class="endli"></p>
</li>
</ul>
<p>In addition, if the value of the key <b>Mdevice</b> is <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="Symbol of name &quot;x&quot;.">Mx</a>, the following keys are recognized. They are to specify the root window and the depth of drawables that can be used with the frame.</p>
<ul>
<li>
<p class="startli"><b>Mdrawable</b>, the value type must be <code>Drawable</code>.</p>
<p>A parameter of key <b>Mdisplay</b> must also be specified. The created frame can be used for drawables whose root window and depth are the same as those of the specified drawable on the specified display.</p>
<p>When this parameter is specified, the parameter of key <b>Mscreen</b> is ignored.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mwidget</b>, the value type must be <code>Widget</code>.</p>
<p>The created frame can be used for drawables whose root window and depth are the same as those of the specified widget.</p>
<p>If a parameter of key <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789" title="Key of a text property specifying a face.">Mface</a> is not specified, the default face is created from the resources of the widget.</p>
<p>When this parameter is specified, the parameters of key <b>Mdisplay</b>, <b>Mscreen</b>, <b>Mdrawable</b>, <b>Mdepth</b> are ignored.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mdepth</b>, the value type must be <code>unsigned</code>.</p>
<p>The created frame can be used for drawables of the specified depth.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mscreen</b>, the value type must be <code>(Screen *)</code>.</p>
<p>The created frame can be used for drawables whose root window is the same as the root window of the specified screen, and depth is the same at the default depth of the screen.</p>
<p>When this parameter is specified, parameter of key <b>Mdisplay</b> is ignored.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mdisplay</b>, the value type must be <code>(Display *)</code>.</p>
<p>The created frame can be used for drawables whose root window is the same as the root window for the default screen of the display, and depth is the same as the default depth of the screen.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mcolormap</b>, the value type must be <code>(Colormap)</code>.</p>
<p>The created frame uses the specified colormap.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><b>Mfont</b>, the value must be <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="Symbol of name &quot;x&quot;.">Mx</a>, <a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491" title="Symbol of name &quot;freetype&quot;.">Mfreetype</a>, or <a class="el" href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a" title="Symbol of name &quot;xft&quot;.">Mxft</a>.</p>
<p>The created frame uses the specified font backend. The value <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="Symbol of name &quot;x&quot;.">Mx</a> instructs to use X core fonts, <a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491" title="Symbol of name &quot;freetype&quot;.">Mfreetype</a> to use local fonts supported by FreeType fonts, and <a class="el" href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a" title="Symbol of name &quot;xft&quot;.">Mxft</a> to use local fonts via Xft library. You can specify this parameter more than once with different values if you want to use multiple font backends. This is ignored if the specified font backend is not supported on the device.</p>
<p>When this parameter is not specified, all font backend supported on the device are used.</p>
<p class="endli"></p>
</li>
</ul>
<dl class="user"><dt><b>Return value:</b></dt><dd>If the operation was successful, <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="Create a new frame.">mframe()</a> returns a pointer to a newly created frame. Otherwise, it returns <code>NULL</code>. </dd></dl>

</div>
</div>
<a class="anchor" id="ga97caf002f294cc386b88a2155ac21e66"></a><!-- doxytag: member="m17n&#45;gui.c::mframe_get_prop" ref="ga97caf002f294cc386b88a2155ac21e66" args="(MFrame *frame, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mframe_get_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return property value of frame. </p>
<p>The <a class="el" href="group__m17nFrame.html#ga97caf002f294cc386b88a2155ac21e66" title="Return property value of frame.">mframe_get_prop()</a> function returns a value of property <b>key</b> of frame <b>frame</b>. The valid keys and the corresponding return values are as follows.</p>
<div class="fragment"><pre class="fragment">

        key             type of value   meaning of value
        ---             -------------   ----------------
        Mface           MFace *         The default face.

        Mfont           MFont *         The default font.

        Mfont_width     int             Width of the default font.

        Mfont_ascent    int             Ascent of the default font.

        Mfont_descent   int             Descent of the default font.

</pre></div><p>In the m17n-X library, the followings are also accepted.</p>
<div class="fragment"><pre class="fragment">

        key             type of value   meaning of value
        ---             -------------   ----------------
        Mdisplay        Display *       Display associated with the frame.

        Mscreen         int             Screen number of a screen associated
                                        with the frame.

        Mcolormap       Colormap        Colormap of the frame.

        Mdepth          unsigned        Depth of the frame.
</pre></div> 
</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="gacdb0835708df168948db8b3bdfbe910e"></a><!-- doxytag: member="m17n&#45;gui.c::Mdevice" ref="gacdb0835708df168948db8b3bdfbe910e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gacdb0835708df168948db8b3bdfbe910e">Mdevice</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga60e864afe6243a16342ea7bfa2c8a5d6"></a><!-- doxytag: member="m17n&#45;gui.c::Mdisplay" ref="ga60e864afe6243a16342ea7bfa2c8a5d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga60e864afe6243a16342ea7bfa2c8a5d6">Mdisplay</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga28e8c59b7f5ada96e55ccdd4b117572c"></a><!-- doxytag: member="m17n&#45;gui.c::Mscreen" ref="ga28e8c59b7f5ada96e55ccdd4b117572c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga28e8c59b7f5ada96e55ccdd4b117572c">Mscreen</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac54b9f0433a28bd10e8de898289069c2"></a><!-- doxytag: member="m17n&#45;gui.c::Mdrawable" ref="gac54b9f0433a28bd10e8de898289069c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gac54b9f0433a28bd10e8de898289069c2">Mdrawable</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga0a1c7aa87d02cd187ec0735588db225d"></a><!-- doxytag: member="m17n&#45;gui.c::Mdepth" ref="ga0a1c7aa87d02cd187ec0735588db225d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga0a1c7aa87d02cd187ec0735588db225d">Mdepth</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga3de479e1bf9915fb86833298d8e05316"></a><!-- doxytag: member="m17n&#45;gui.c::Mcolormap" ref="ga3de479e1bf9915fb86833298d8e05316" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga3de479e1bf9915fb86833298d8e05316">Mcolormap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gadfd980d879793a59c497bfd08b9d946e"></a><!-- doxytag: member="m17n&#45;gui.c::Mwidget" ref="gadfd980d879793a59c497bfd08b9d946e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gadfd980d879793a59c497bfd08b9d946e">Mwidget</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga73342e810f6dd55417345fc1805f3d23"></a><!-- doxytag: member="m17n&#45;gui.c::Mgd" ref="ga73342e810f6dd55417345fc1805f3d23" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga73342e810f6dd55417345fc1805f3d23">Mgd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga5d99e7994a0d1b4e24e4febe80403f99"></a><!-- doxytag: member="m17n&#45;gui.c::Mfont" ref="ga5d99e7994a0d1b4e24e4febe80403f99" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#ga5d99e7994a0d1b4e24e4febe80403f99">Mfont</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gaaccde9d071c4889c5a73b36fce45e285"></a><!-- doxytag: member="m17n&#45;gui.c::Mfont_width" ref="gaaccde9d071c4889c5a73b36fce45e285" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gaaccde9d071c4889c5a73b36fce45e285">Mfont_width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac51e83ad0a410d95fb34f2dae9a0f702"></a><!-- doxytag: member="m17n&#45;gui.c::Mfont_ascent" ref="gac51e83ad0a410d95fb34f2dae9a0f702" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gac51e83ad0a410d95fb34f2dae9a0f702">Mfont_ascent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gafc7b7df9268d89c57cdd075a3aeb2cd3"></a><!-- doxytag: member="m17n&#45;gui.c::Mfont_descent" ref="gafc7b7df9268d89c57cdd075a3aeb2cd3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFrame.html#gafc7b7df9268d89c57cdd075a3aeb2cd3">Mfont_descent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga4a417bb182e3e1a42095185e52c012f3"></a><!-- doxytag: member="m17n&#45;gui.c::mframe_default" ref="ga4a417bb182e3e1a42095185e52c012f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a>* <a class="el" href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3">mframe_default</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The default frame. </p>
<p>The external variable <a class="el" href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3" title="The default frame.">mframe_default</a> contains a pointer to the default frame that is created by the first call of <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="Create a new frame.">mframe()</a>. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
